WebSphereVariable (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereVariable interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereVariable

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereVariable

extends LogicalElement

Represents a WebSphere Variable defined for a cell, node or server

Naming Rules:
  0="cell,symbolicName" 1="node,symbolicName" 2="server,symbolicName"
Persistable:
  true
Table Name:
  WASVAR
Display Name:
  symbolicName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`WebSphereCell` | `getCell()`
`WebSphereNode` | `getNode()`
`WebSphereServer` | `getServer()`
`java.lang.String` | `getSymbolicName()`
`java.lang.String` | `getValue()`
`boolean` | `hasCell()`
`boolean` | `hasNode()`
`boolean` | `hasServer()`
`boolean` | `hasSymbolicName()`
`boolean` | `hasValue()`
`void` | `setCell(WebSphereCell cell)`
`void` | `setNode(WebSphereNode node)`
`void` | `setServer(WebSphereServer srv)`
`void` | `setSymbolicName(java.lang.String symbolicName)`
`void` | `setValue(java.lang.String value)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCell

    WebSphereCell getCell()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setCell

    void setCell(WebSphereCell cell)

### hasCell

    boolean hasCell()

### getNode

    WebSphereNode getNode()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setNode

    void setNode(WebSphereNode node)

### hasNode

    boolean hasNode()

### getServer

    WebSphereServer getServer()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setServer

    void setServer(WebSphereServer srv)

### hasServer

    boolean hasServer()

### getSymbolicName

    java.lang.String getSymbolicName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSymbolicName

    void setSymbolicName(java.lang.String symbolicName)

### hasSymbolicName

    boolean hasSymbolicName()

### getValue

    java.lang.String getValue()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setValue

    void setValue(java.lang.String value)

### hasValue

    boolean hasValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD